Introducing Chargebee CLI — query billing data, test webhooks, and generate code samples from your terminal.

List all available meters

Retrieves the list of meters configured for the site.

The sample responses show meters with and without group-by attributes.

Availability

Support for adding GROUP BY to metered features and retrieving usage grouped by attributes is an upcoming capability and is not generally available yet. It will be made available in the coming weeks.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/meters

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set 'offset' to the value of 'next_offset' obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute.

Supported attributes : id, name, created_at, updated_at

Supported sort-orders : asc, desc

Example → sort_by[desc] = "updated_at"

This sorts the result based on the updated_at attribute in descending order (most recently updated first).

Filter Params

For operator usages, see the Pagination and Filtering section.
name[<operator>]

optional, string filter

Filter meters based on name.

Supported operators : is, starts_with

Example → name[starts_with] = "API"

Supported operators: starts_with, is

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Meter object

Resource object representing meter